/* $Id: conf.c,v 1.4 2003/12/15 18:53:01 armin Exp $
 *
 * divactrl linux config
 *
 * (c) 2003 Cytronics & Melware
 *
 */

#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <linux/types.h>
#include <linux/stat.h>
#include <fcntl.h>
#include <linux/errno.h>

void SetGroupOptimization(int nr, int val)
{
	int fd;
	unsigned char dev[1024];
	unsigned char data;
				 
	sprintf(dev, "/proc/net/eicon/adapter%d/group_optimization", nr);
				  
	if ((fd = open(dev, O_RDWR)) < 0)
		return;
									   
	data = (val) ? '1' : '0';
											    
	write(fd, &data, 1);
			     
	close(fd);
}

void SetDynamicLayer1Down(int nr, int val)
{
	int fd;
	unsigned char dev[1024];
	unsigned char data;
				 
	sprintf(dev, "/proc/net/eicon/adapter%d/dynamic_l1_down", nr);
				  
	if ((fd = open(dev, O_RDWR)) < 0)
		return;
									   
	data = (val) ? '1' : '0';
											    
	write(fd, &data, 1);
			     
	close(fd);
}

void fixup_card_number(char *cn)
{
	/* nothing to do on Linux */
}

